

<h3>HELP</h3>

<div id="cheatSheet">
<ul id="helpWrapper">
    <li><a href="#quickReference">QUICK REFERENCE</a></li>
    <li><a href="#tutorials">TUTORIAL</a></li>
    <li><a href="#moreResources">MORE RESOURCES</a></li>
</ul>

<div id="quickReference">
  <ul>
    <li><a href="#csCreatingTopics">Creating Topics</a></li>
    <li><a href="#csEditingTopics">Editing Topics</a></li>
    <li><a href="#csCreatingSynapses">Creating Synapses</a></li>
    <li><a href="#csEditingSynapses">Editing Synapses</a></li>
    <li><a href="#csNavigation">Navigation</a></li>
    <li><a href="#csSelection">Selection</a></li>
    <li><a href="#csSearch">Search</a></li>
    <li><a href="#csTopicView">Topic View</a></li>
    <li><a href="#csKeyboardShortcuts">Keyboard Shortcuts</a></li>
  </ul>

  <div id="csTopicView">
    <div className="csItem"><span className="csTitle">Enter Topic (radial) View:</span> Click on a Topic result from Search, or click the synapse <img src="{ asset_path 'synapse16.png' }" width="16" align="middle" /> icon inside open Topic Card on map</div>
    <div className="csItem"><span className="csTitle">Recenter Topics around chosen Topic:</span> Alt + click on the topic OR Alt + E</div>
    <div className="csItem"><span className="csTitle">Reveal the siblings for a Topic:</span> Right-click and choose 'Reveal siblings' OR Alt + R</div>
    <div className="csItem"><span className="csTitle">Center topic and reveal siblings:</span> Alt + T</div>
    <div className="csItem"><span className="csTitle">Filter out visible Topics:</span> Open Filter menu *** and toggle off/on</div>
  </div>

  <div id="csCreatingTopics">
    <div className="csItem"><span className="csTitle">Double-click on canvas:</span> Bring up the metacode spinner</div>
    <div className="csItem indented"><span className="csTitle">Scroll:</span> change metacode spinner selection</div>
    <div className="csItem indented"><span className="csTitle">Tab:</span> rotate spinner counter-clockwise</div>
    <div className="csItem indented"><span className="csTitle">Shift + tab:</span> rotate spinner clockwise</div>
    <div className="csItem indented"><span className="csTitle">Esc:</span> Hides auto-suggestion results</div>
    <div className="csItem indented"><span className="csTitle">Enter:</span> create a new topic</div>
    <div className="csItem indented"><span className="csTitle">Gear Icon:</span> open up metacode settings</div>
    <div className="csItem"><br><a href="https://docs.metamaps.cc/creating_topics.html" target= "_blank">Learn More</a></div>
  </div>

  <div id="csEditingTopics">
    <div className="csItem">
            <span className="csTitle">Open Topic card:</span> Double-click on topic icon
    </div>
    <div className="csItem indented">
            <span className="csTitle">Move Topic card:</span> Click and drag on topic card metacode
    </div>
    <div className="csItem indented">
            <span className="csTitle">Change metacode:</span> Mouse over metacode icon, then click on solid colored bar for metacode menu
    </div>
    <div className="csItem indented">
            <span className="csTitle">Edit Topic title, description, link:</span> Click on text in respective area (click small "X" to reset link)
    </div>
    <div className="csItem indented">
        <span className="csTitle">Save Topic title, description, link:</span> Hit enter, or click away
    </div>
    <div className="csItem indented">
        <span className="csTitle">Change Topic permission:</span> Click on 'Permission' icon (only for topic creator)
    </div>
    <div className="csItem indented">
        <span className="csTitle">Open Topic view:</span> Click on <img src="{ asset_path 'synapse16.png' }" width="16" align="middle" /> icon within topic card bar
    </div>
    <div className="csItem indented">
        <span className="csTitle">Close Topic card:</span> Click on canvas
    </div>
    <div className="csItem">
        <span className="csTitle">Open 'Context Menu':</span> Right-click/alt+click on topic icon or synapse or selection (multiple) to Hide/Remove/Delete, change metacode or permission
    </div>
    <div className="csItem"><br><a href="https://docs.metamaps.cc/creating_topics.html" target= "_blank">Learn More</a></div>

  </div>

  <div id="csCreatingSynapses">
    <div className="csItem"><span className="csTitle">Open 'Create Synapse' prompt:</span> Right-click & drag from one topic to another</div>
    <div className="csItem indented"><span className="csTitle">Enter a label</span> Begin typing (or leave blank)</div>
    <div className="csItem indented"><span className="csTitle">Confirm new Synapse:</span> Enter or Tab</div>
    <div className="csItem indented"><span className="csTitle">Cancel new Synapse:</span> Escape or Delete</div>
    <div className="csItem"><span className="csTitle">Create new Topic with Synapse:</span> Right-click + drag from existing topic to open canvas</div>
    <div className="csItem indented"><span className="csTitle">Create Topic:</span> Same as elsewhere</div>
    <div className="csItem indented"><span className="csTitle">Create Synapse:</span> Same as above</div>
    <div className="csItem"><br><a href="https://docs.metamaps.cc/creating_synapses.html" target= "_blank">Learn More</a></div>

  </div>

  <div id="csEditingSynapses">
    <div className="csItem"><span className="csTitle">Open Synapse card:</span> Double-click on Synapse </div>
    <div className="csItem indented"><span className="csTitle">Edit Synapse description:</span> Click on current description text</div>
    <div className="csItem indented"><span className="csTitle">Save Synapse description:</span> Hit enter</div>
    <div className="csItem indented"><span className="csTitle">Edit directionality:</span> Select appropriate arrow boxes</div>
    <div className="csItem indented"><span className="csTitle">Change synapse permission:</span> Click on 'permission' icon (only for synapse creator)</div>
    <div className="csItem indented"><span className="csTitle">Browse / select from multiple (stacked) synapses:</span> Click dropdown icon and select desired synapse</div>
    <div className="csItem"><span className="csTitle">Open 'Context Menu':</span> Right-click/alt-click on Synapse</div>
    <div className="csItem indented">*Hide/Remove/Delete synapse within context menu</div>
    <div className="csItem"><br><a href="https://docs.metamaps.cc/creating_synapses.html" target= "_blank">Learn More</a></div>

  </div>

  <div id="csNavigation">
    <div className="csItem"><span className="csTitle">Move around Canvas:</span> Click and drag</div>
    <div className="csItem indented"><span className="csTitle">Zoom in/out:</span> Scroll OR click on <div id="zoomIn"> </div> & <div id="zoomOut"> </div></div>
    <div className="csItem indented"><span className="csTitle">Zoom to see all:</span> Click <div id="centerMap"></div> OR Ctrl + E</div>
    <div className="csItem"><span className="csTitle">Filter Map Contents:</span> Open the Filter Menu *** and toggle items off/on</div>
    <div className="csItem"><span className="csTitle">Return to 'Explore Maps' (home) page:</span> Click the Metamaps logo in the upper left corner</div>
    <div className="csItem"><br><a href="https://docs.metamaps.cc/exploring_maps.html" target= "_blank">Learn More</a></div>

  </div>

  <div id="csSelection">
    <div className="csItem"><span className="csTitle">Select/Deselect Topic:</span> Click on topic icon</div>
    <div className="csItem"><span className="csTitle">Select/Deselect Synapse:</span> Click on synapse</div>
    <div className="csItem"><span className="csTitle">Select multiple Topics/Synapses:</span> Shift + click to include each</div>
    <div className="csItem"><span className="csTitle">Select multiple with Selection Box:</span> Right-click/Shift-click + drag on Canvas</div>
    <div className="csItem"><span className="csTitle">Move all selected Topics & Synapses:</span> Click + drag on selected topic(s)/synapse(s)</div>
    <div className="csItem"><span className="csTitle">Open 'Context Menu':</span> Right-click/Alt-click on selected topic(s)</div>
    <div className="csItem indented">*Hide/Remove/Delete/Change permissions of multiple topics & synapses within context menu</div>
    <div className="csItem"><span className="csTitle">Zoom to selection box</span> Ctrl-click + drag</div>
    <div className="csItem"><span className="csTitle">Deselect all topics & Synapses:</span> Click on background or Esc</div>
  </div>

  <div id="csSearch">
    <div className="csItem"><span className="csTitle">Search for Topics and Maps:</span> Type query terms into search bar, wait for results below</div>
    <div className="csItem"><span className="csTitle">Limit search results:</span> Click checkbox for only items you created; click arrow above Topics or Maps section to collapse</div>
    <div className="csItem"><span className="csTitle">Add Topic to current Map:</span> Click "+" on a topic result</div>
    <div className="csItem"><span className="csTitle">Jump to Topic View:</span> Click anywhere else on a topic result</div>
    <div className="csItem"><span className="csTitle">Search by metacode:</span> type "[name of metacode]:", then your search query. i.e. idea:create...</div>
    <div className="csItem"><span className="csTitle">Search for map:</span> type "map:", then your search query. i.e. map:exploring...</div>
    <div className="csItem"><span className="csTitle">Search for mapper:</span> type "mapper:", then your search query. i.e. mapper:Robert</div>
  </div>

  <div id="csKeyboardShortcuts">
    <div className="csItem"><span className="csTitle">Ctrl + /:</span> Open 'Search' prompt</div>
    <div className="csItem"><span className="csTitle">Ctrl + H:</span> Hide selection on map</div>
    <div className="csItem"><span className="csTitle">Ctrl + M:</span> Remove selection from map</div>
    <div className="csItem"><span className="csTitle">Ctrl + D:</span> Delete selection</div>
    <div className="csItem"><span className="csTitle">Ctrl + A:</span> Select all topics</div>
    <div className="csItem"><span className="csTitle">Ctrl + E:</span> See all on map (zoom to extents)</div>
    <div className="csItem"><span className="csTitle">Esc (while in search):</span> Close search</div>
    <div className="csItem"><span className="csTitle">Esc (with selection):</span> Deselect all</div>
  </div>
</div>

<div id="tutorials">
    <iframe id="tutorialVideo" src="//player.vimeo.com/video/88334167" width="552" height="320" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
</div>

<div id="moreResources">
    <p>For more information about Metamaps.cc, visit our Knowledge Base or skip directly to a section by clicking on one of the categories below.</p>
    <div className="resourcesColumnOne resourcesColumn">
        <a href="https://hylo.com/c/metamaps" target="_blank" className="button">Hylo User Community</a>
        <ul>
            <li><a href="https://docs.metamaps.cc/getting_started.html" target="_blank">Getting Started</a></li>
            <li><a href="https://docs.metamaps.cc/best_practices.html" target="_blank">Best Practices</a></li>
            <li><a href="https://docs.metamaps.cc/applications_and_use_cases.html" target="_blank">Applications & Use Cases</a></li>
            <li><a href="https://docs.metamaps.cc/advanced_features.html" target="_blank">Advanced Features</a></li>
        </ul>
    </div>
    <div className="resourcesColumnTwo resourcesColumn">
        <a href="https://docs.metamaps.cc" target="_blank"  className="button">KNOWLEDGE BASE</a>
        <ul>
            <li><a href="https://docs.metamaps.cc/general_questions.html" target="_blank">General Questions</a></li>
            <li><a href="https://docs.metamaps.cc/project_organization_and_governance.html" target="_blank">Organization & Governance</a></li>
            <li><a href="https://docs.metamaps.cc/realtime_collaboration_junto.html" target="_blank">Realtime Collaboration</a></li>
            <li><a href="https://docs.metamaps.cc/importing_and_exporting_data.html" target="_blank">Importing and Exporting Data</a></li>
        </ul>
    </div>
</div>


</div>
